P_READ_BUF_FLOAT(3)

FUNCTION
p_read_buf_float - Read a floating point number from a buffer.

SYNOPSIS
#include <karma_p.h>

flag p_read_buf_float

(CONST char *buffer, float *data)

DESCRIPTION
Read a floating point number from a buffer.

buffer
    A pointer to the buffer. This buffer must be at least 4 bytes long

data
    The output data will be written here. This will be in host natural byte order. The data will be converted from network byte order after reading.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
The data will be converted from IEEE network format after reading.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/